import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSDictionary } from "../Foundation/NSDictionary.js";
import type { _NSURL } from "../Foundation/NSURL.js";
import type { _NSURLRequest } from "../Foundation/NSURLRequest.js";
import type { _NSURLResponse } from "../Foundation/NSURLResponse.js";
import type { _NSURLSessionTask } from "../Foundation/NSURLSessionTask.js";
import type { _AVURLAsset } from "./AVURLAsset.js";
export declare class _AVAssetDownloadTask extends _NSURLSessionTask {
    static alloc(): _AVAssetDownloadTask;
    static new(): _AVAssetDownloadTask;
    init(): _AVAssetDownloadTask;
    /**
     * The asset supplied to the download task upon initialization.
     * @deprecated Use the URL property of URLAsset instead
     */
    URLAsset(): _AVURLAsset;
    /**
     * The file URL supplied to the download task upon initialization. This URL may have been appended with the appropriate extension for the asset.
     * @deprecated Use the URL property of URLAsset instead
     */
    destinationURL(): _NSURL;
    /**
     * The options supplied to the download task upon initialization.
     * @deprecated Use AVAssetDownloadConfiguration instead
     */
    options(): _NSDictionary | null;
    /**
     * This property provides a collection of time ranges for which the download task has media data already downloaded and playable. The ranges provided might be discontinuous. Returns an NSArray of NSValues containing CMTimeRanges.
     * @deprecated Use NSURLSessionTask.progress instead
     */
    loadedTimeRanges(): _NSArray;
    /**
     * NSURLRequest and NSURLResponse objects are not available for AVAssetDownloadTask
     */
    originalRequest(): _NSURLRequest;
    currentRequest(): _NSURLRequest;
    response(): _NSURLResponse;
}
